Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZPDFTable Class Reference
PDF generator library

eZPDFTable adds extra support for tables More...

Inheritance diagram for eZPDFTable:

## Public Member Functions
| __construct ($paper='a4', $orientation='portrait')
| eZPDFTable ($paper='a4', $orientation='portrait')
| yOffset ()
| xOffset ()
| setYOffset ( $yOffset)
| setXOffset ( $xOffset)
| ezTable (&$data, $cols='', $title='', $options='')
| ezPrvtTableDrawLines ($pos, $gap, $x0, $x1, $y0, $y1, $y2, $col, $inner, $outer, $opt=1)
| callAnchor ( $info)
| callHeader ( $params)
| callImage ( $info)
| callKeyword ( $info)
| callInsertTOC ( $info)
| callTOC ( $info)
| callNewPage ( $info)
| callIndex ( $info)
| insertTOC ( $sizeArray=array(20, 18, 16, 14, 12), $indentArray=array(0, 4, 6, 8, 10), $dots=true, $contentText='', $level=3)
| dots ($info)
| callFont ( $params)
| fixWhitespace (&$text)
| ezText ( $text, $size=0, $options=array(), $test=0)
| callRectangle ( $info)
| callSetMargin ( $info)
| callCircle ( $info)
| callFilledRectangle ( $info)
| callBlockFrame ( $params, $text)
| callFrame ( $params, $text)
| callLine ( $params, $text)
| callDrawLine ( $info)
| callFrameMargins ( $info)
| ezInsertLine ( $params)
| ezInsertBlockFrame ( $text, $textParameters)
| ezInsertFrame ( $text, $textParameters)
| callFrontpage ( $params, $text)
| insertFrontpage ( $params, $text)
| callTable ( $params, $text)
| extractFunction (&$text, $offSet, &$functionName, &$parameters, $type='ezCall')
| extractParameters (&$text, $offSet, &$parameters, $skipFirstChar=false)
| outputDocSpecification ()
| callTextBox ( $params, $text)
| insertTextBox ( $params, $text)
| callTextFrame ( $params, $text)
| insertTextFrame ( $params, $text)
| callText ( $params)
| pushStack ( $continous=true)
| popStack ()
| addDocSpecification ( $text)
| addDocSpecFunction ( $functionName, $parameters)
| addToPreStack ( $options=array())
| callFrameLine ( $info)
| callStartPageCounter ( $info)
| ezWhatPageNumber ( $pageNum, $identifier=false)

## Public Attributes
| $fontSize
const | NEWLINE = '<C:callNewLine>'
const | SPACE = '<C:callSpace>'
const | TAB = '<C:callTab>'
const | PAGENUM = '#page'
const | TOTAL_PAGENUM = '#total'
const | HEADER_LEVEL = '#level'
const | HEADER_LEVEL_INDEX = '#indexLevel'
| $TOC
| $KeywordArray
| $PageCounter
| $FrontpageID
| $ezFrame
| $PreStack
| $DocSpecification
| $DocSpecStack = array()

## Private Member Functions
| initFrameMargins ()
| eZCalculateColumnWidth ( $columnWidthArray, $options, $marginWidth, $minWidthArray, $totalWidth, $fixedSizeArray=array())
| fixupTableCellText ( $text)
| headerLabel ( $page, $level)
| headerIndex ( $page, $level)

## Detailed Description

eZPDFTable adds extra support for tables

Definition at line 17 of file class.ezpdftable.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPDFTable::__construct | ( |  | $paper = `'a4'`,
|  |  | $orientation = `'portrait'`
| ) |  |

Constructor

This class is only used to encapsulate a table.

Parameters

  string | $paper |
  string | $orientation |

Definition at line 37 of file class.ezpdftable.php.

References initFrameMargins(), and pushStack().

Referenced by eZPDFTable().

## Member Function Documentation

## ◆ addDocSpecFunction()

eZPDFTable::addDocSpecFunction | ( |  | $functionName,
|  |  | $parameters
| ) |  |

Function for adding function to doc specification

param - text to add

Definition at line 2801 of file class.ezpdftable.php.

Referenced by callBlockFrame(), callFrame(), callFrontpage(), callLine(), callTable(), callTextBox(), and callTextFrame().

## ◆ addDocSpecification()

eZPDFTable::addDocSpecification | ( |  | $text | ) |

Function for adding text to doc specification

param - text to add

Definition at line 2788 of file class.ezpdftable.php.

Referenced by ezText().

## ◆ addToPreStack()

eZPDFTable::addToPreStack | ( |  | $options = `array()` | ) |

function for adding font specification to PreStack array

Possible $options setting:

- justification
- fontSize
- fontName

Definition at line 2820 of file class.ezpdftable.php.

Referenced by callFont(), callHeader(), and callText().

## ◆ callAnchor()

eZPDFTable::callAnchor | ( |  | $info | ) |

Callback function to set anchor

Definition at line 1105 of file class.ezpdftable.php.

References yOffset().

## ◆ callBlockFrame()

eZPDFTable::callBlockFrame | ( |  | $params,
|  |  | $text
| ) |  |

Function for adding footer definition to PDF document. creates call on stack for ezInsertFooter

Parameters

  parameters | \text inside ezGroup Tags

Definition at line 1891 of file class.ezpdftable.php.

References addDocSpecFunction().

## ◆ callCircle()

eZPDFTable::callCircle | ( |  | $info | ) |

Draw filled circle

Definition at line 1792 of file class.ezpdftable.php.

References extractParameters(), xOffset(), and yOffset().

## ◆ callDrawLine()

eZPDFTable::callDrawLine | ( |  | $info | ) |

Draw line on current page in PDF document

Definition at line 1924 of file class.ezpdftable.php.

References extractParameters().

## ◆ callFilledRectangle()

eZPDFTable::callFilledRectangle | ( |  | $info | ) |

Function for drawing filled rectangle in document

Parameters

  params |

Definition at line 1864 of file class.ezpdftable.php.

References extractParameters().

## ◆ callFont()

eZPDFTable::callFont | ( |  | $params | ) |

Callback function to set font

Definition at line 1495 of file class.ezpdftable.php.

References addToPreStack().

## ◆ callFrame()

eZPDFTable::callFrame | ( |  | $params,
|  |  | $text
| ) |  |

Function for adding footer definition to PDF document. creates call on stack for ezInsertFooter

Parameters

  parameters | \text inside ezGroup Tags

Definition at line 1905 of file class.ezpdftable.php.

References addDocSpecFunction(), and fixWhitespace().

## ◆ callFrameLine()

eZPDFTable::callFrameLine | ( |  | $info | ) |

Draw line related to a frame.

Definition at line 2869 of file class.ezpdftable.php.

References extractParameters().

## ◆ callFrameMargins()

eZPDFTable::callFrameMargins | ( |  | $info | ) |

Function for setting frame margins. Frames are used to define for example footer and header areas

Parameters

  info,standard | ezpdf callback function

Definition at line 1938 of file class.ezpdftable.php.

References extractParameters().

## ◆ callFrontpage()

eZPDFTable::callFrontpage | ( |  | $params,
|  |  | $text
| ) |  |

Function for inserting frontpage into document. Called by ezGroup specification

Parameters

  parameters |
  text | in ezGroup

Definition at line 2214 of file class.ezpdftable.php.

References addDocSpecFunction().

## ◆ callHeader()

eZPDFTable::callHeader | ( |  | $params | ) |

Callback function to set header

Definition at line 1115 of file class.ezpdftable.php.

References addToPreStack().

## ◆ callImage()

eZPDFTable::callImage | ( |  | $info | ) |

Function for insert image

Definition at line 1145 of file class.ezpdftable.php.

References eZSys\cacheDirectory(), extractParameters(), eZImageManager\factory(), eZMimeType\findByFileContents(), eZMimeType\findByURL(), eZDebug\writeError(), and yOffset().

## ◆ callIndex()

eZPDFTable::callIndex | ( |  | $info | ) |

Definition at line 1392 of file class.ezpdftable.php.

References $fontSize, and ezpI18n\tr().

## ◆ callInsertTOC()

eZPDFTable::callInsertTOC | ( |  | $info | ) |

function for inserting TOC

Definition at line 1350 of file class.ezpdftable.php.

References ezWhatPageNumber(), fixWhitespace(), and yOffset().

## ◆ callKeyword()

eZPDFTable::callKeyword | ( |  | $info | ) |

function for inserting keyword

Definition at line 1326 of file class.ezpdftable.php.

References ezWhatPageNumber(), fixWhitespace(), and yOffset().

## ◆ callLine()

eZPDFTable::callLine | ( |  | $params,
|  |  | $text
| ) |  |

Add line to all pages

Definition at line 1916 of file class.ezpdftable.php.

References addDocSpecFunction().

## ◆ callNewPage()

eZPDFTable::callNewPage | ( |  | $info | ) |

Callback function for creating new page

Definition at line 1387 of file class.ezpdftable.php.

## ◆ callRectangle()

eZPDFTable::callRectangle | ( |  | $info | ) |

Function for drawing rectangle in document

Parameters

  parameters |

Definition at line 1647 of file class.ezpdftable.php.

References extractParameters(), and yOffset().

## ◆ callSetMargin()

eZPDFTable::callSetMargin | ( |  | $info | ) |

Set new margins

Definition at line 1729 of file class.ezpdftable.php.

References extractParameters(), setXOffset(), xOffset(), and yOffset().

## ◆ callStartPageCounter()

eZPDFTable::callStartPageCounter | ( |  | $info | ) |

Start page counter in PDF document

Parameters

  counter | identifier

Definition at line 2922 of file class.ezpdftable.php.

References extractParameters().

## ◆ callTable()

eZPDFTable::callTable | ( |  | $params,
|  |  | $text
| ) |  |

Function for generating table definition. Called by ezGroup specification

Parameters

  parameters |
  text | in ezGroup

Definition at line 2261 of file class.ezpdftable.php.

References addDocSpecFunction(), and extractParameters().

## ◆ callText()

eZPDFTable::callText | ( |  | $params | ) |

Callback function for adding text

Definition at line 2689 of file class.ezpdftable.php.

References addToPreStack().

## ◆ callTextBox()

eZPDFTable::callTextBox | ( |  | $params,
|  |  | $text
| ) |  |

Insert text at specified position

Definition at line 2534 of file class.ezpdftable.php.

References addDocSpecFunction().

## ◆ callTextFrame()

eZPDFTable::callTextFrame | ( |  | $params,
|  |  | $text
| ) |  |

Callback function for adding text frame.

Definition at line 2563 of file class.ezpdftable.php.

References addDocSpecFunction().

## ◆ callTOC()

eZPDFTable::callTOC | ( |  | $info | ) |

Callback function for inserting TOC

Definition at line 1370 of file class.ezpdftable.php.

References extractParameters(), insertTOC(), and ezpI18n\tr().

## ◆ dots()

eZPDFTable::dots | ( |  | $info | ) |

Definition at line 1475 of file class.ezpdftable.php.

References setXOffset().

## ◆ extractFunction()

eZPDFTable::extractFunction | ( | & | $text,
|  |  | $offSet,
|  | & | $functionName,
|  | & | $parameters,
|  |  | $type = `'ezCall'`
| ) |  |

Function for extracting function name and parameters from text.

Parameters

  text |
  offset |
  function | name (reference)
  parameters | array (reference)

Returns
  end offset of function

Definition at line 2434 of file class.ezpdftable.php.

References extractParameters().

Referenced by ezText().

## ◆ extractParameters()

eZPDFTable::extractParameters | ( | & | $text,
|  |  | $offSet,
|  | & | $parameters,
|  |  | $skipFirstChar = `false`
| ) |  |

Function for extracting parameters from : separated key:value list callback functions

Parameters

  text |
  offset |
  parameters | array (reference)

Returns
  end offset of function

Definition at line 2457 of file class.ezpdftable.php.

Referenced by callCircle(), callDrawLine(), callFilledRectangle(), callFrameLine(), callFrameMargins(), callImage(), callRectangle(), callSetMargin(), callStartPageCounter(), callTable(), callTOC(), and extractFunction().

## ◆ eZCalculateColumnWidth()

eZPDFTable::eZCalculateColumnWidth | ( |  | $columnWidthArray,
|  |  | $options,
|  |  | $marginWidth,
|  |  | $minWidthArray,
|  |  | $totalWidth,
|  |  | $fixedSizeArray = `array()`
| ) |  |
| private

Calculate Table column widths

Parameters

  ColumnWidth | Array
  Table | options
  Total | Width
  Margin | Width
  minimum | Table width Array
  Position | array ( for private use only ).

Returns
  Array of fixed column sizes ( returned )

Definition at line 1029 of file class.ezpdftable.php.

Referenced by ezTable().

## ◆ ezInsertBlockFrame()

eZPDFTable::ezInsertBlockFrame | ( |  | $text,
|  |  | $textParameters
| ) |  |

Insert footer/header into PDF document

Parameters

  text |
  text | parameters

Definition at line 1977 of file class.ezpdftable.php.

References ezText(), ezWhatPageNumber(), headerIndex(), headerLabel(), popStack(), pushStack(), setXOffset(), and setYOffset().

## ◆ ezInsertFrame()

eZPDFTable::ezInsertFrame | ( |  | $text,
|  |  | $textParameters
| ) |  |

Insert footer/header into PDF document

Parameters

  text |
  text | parameters

Definition at line 2083 of file class.ezpdftable.php.

References ezWhatPageNumber(), headerIndex(), and headerLabel().

## ◆ ezInsertLine()

eZPDFTable::ezInsertLine | ( |  | $params | ) |

Insert line onto every page

Parameters

  line | parameters

Definition at line 1959 of file class.ezpdftable.php.

## ◆ eZPDFTable()

eZPDFTable::eZPDFTable | ( |  | $paper = `'a4'`,
|  |  | $orientation = `'portrait'`
| ) |  |

Deprecated:
  Use eZPDFTable::__construct() instead

Parameters

  string | $paper |
  string | $orientation |

Definition at line 58 of file class.ezpdftable.php.

References __construct().

## ◆ ezPrvtTableDrawLines()

eZPDFTable::ezPrvtTableDrawLines | ( |  | $pos,
|  |  | $gap,
|  |  | $x0,
|  |  | $x1,
|  |  | $y0,
|  |  | $y1,
|  |  | $y2,
|  |  | $col,
|  |  | $inner,
|  |  | $outer,
|  |  | $opt = `1`
| ) |  |

Definition at line 1075 of file class.ezpdftable.php.

## ◆ ezTable()

eZPDFTable::ezTable | ( | & | $data,
|  |  | $cols = `''`,
|  |  | $title = `''`,
|  |  | $options = `''`
| ) |  |

add a table of information to the pdf document $data is a two dimensional array $cols (optional) is an associative array, the keys are the names of the columns from $data to be presented (and in that order), the values are the titles to be given to the columns $title (optional) is the title to be put on the top of the table

$options is an associative array which can contain: 'cellData' => array( <coord> => array( 'size' => array( <width>, <height>), 'justification' => <left|right|center> ), <coord>....) All non specified coords will be threated with default settings. Coord is text, offset 0, ex: '5,6' Coord 'x,0' is table header 'showLines'=> 0,1,2, default is 1 (show outside and top lines only), 2=> lines on each row 'showHeadings' => 0 or 1 'repeatTableHeader' => 0 or 1, if set to 1, the table header will be repeated when a table stretches over multiple pages. ( default 0 ) 'shaded'=> 0,1,2,3 default is 1 (1->alternate lines are shaded, 0->no shading, 2-> both shaded, second uses shadeCol2) 'shadeCol' => (CMYK) array, defining the colour of the shading 'shadeCol2' => (CMYK) array, defining the colour of the shading of the other blocks 'fontSize' => 10 'textCol' => (CMYK) array, text colour 'titleFontSize' => 12 'rowGap' => 2 , the space added at the top and bottom of each row, between the text and the lines 'colGap' => 5 , the space on the left and right sides of each cell 'lineCol' => (r,g,b) array, defining the colour of the lines, default, black. 'xPos' => 'left','right','center','centre',or coordinate, reference coordinate in the x-direction 'xOrientation' => 'left','right','center','centre', position of the table w.r.t 'xPos' 'width'=> <number> which will specify the width of the table, if it turns out to not be this wide, then it will stretch the table to fit, if it is wider then each cell will be made proportionalty smaller, and the content may have to wrap. 'maxWidth'=> <number> similar to 'width', but will only make table smaller than it wants to be 'options' => array(<colname>=>array('justification'=>'left','width'=>100,'link'=>linkDataName),<colname>=>....) allow the setting of other paramaters for the individual columns 'minRowSpace'=> the minimum space between the bottom of each row and the bottom margin, in which a new row will be started if it is less, then a new page would be started, default=-100 'innerLineThickness'=>1 'outerLineThickness'=>1 'splitRows'=>0, 0 or 1, whether or not to allow the rows to be split across page boundaries 'protectRows'=>number, the number of rows to hold with the heading on page, ie, if there less than this number of rows on the page, then move the whole lot onto the next page, default=1

note that the user will have had to make a font selection already or this will not produce a valid pdf file.

Definition at line 168 of file class.ezpdftable.php.

References $fontSize, eZCalculateColumnWidth(), fixupTableCellText(), fixWhitespace(), eZMath\rgbToCMYK2(), and setXOffset().

## ◆ ezText()

eZPDFTable::ezText | ( |  | $text,
|  |  | $size = `0`,
|  |  | $options = `array()`,
|  |  | $test = `0`
| ) |  |

Function overriding the default ezText function for doing preprocessing of text

Definition at line 1545 of file class.ezpdftable.php.

References addDocSpecification(), extractFunction(), fixWhitespace(), and outputDocSpecification().

Referenced by ezInsertBlockFrame(), and insertTextBox().

## ◆ ezWhatPageNumber()

eZPDFTable::ezWhatPageNumber | ( |  | $pageNum,
|  |  | $identifier = `false`
| ) |  |

Parameters

  real | page number
  pagecounter | identifier

Definition at line 2950 of file class.ezpdftable.php.

Referenced by callInsertTOC(), callKeyword(), ezInsertBlockFrame(), and ezInsertFrame().

## ◆ fixupTableCellText()

eZPDFTable::fixupTableCellText | ( |  | $text | ) |
| private

Fixup table cell text. Removes ezCall tags, and first C:callNewLine if they exists.

Parameters

  text |

Returns
  text without ezgroup/ezcall tags

Definition at line 1635 of file class.ezpdftable.php.

Referenced by ezTable().

## ◆ fixWhitespace()

eZPDFTable::fixWhitespace | ( | & | $text | ) |

Definition at line 1530 of file class.ezpdftable.php.

Referenced by callFrame(), callInsertTOC(), callKeyword(), ezTable(), ezText(), and insertFrontpage().

## ◆ headerIndex()

eZPDFTable::headerIndex | ( |  | $page,
|  |  | $level
| ) |  |
| private

Get header label of content on specified page and specified level

Parameters

  current | page
  level |

Definition at line 3004 of file class.ezpdftable.php.

Referenced by ezInsertBlockFrame(), and ezInsertFrame().

## ◆ headerLabel()

eZPDFTable::headerLabel | ( |  | $page,
|  |  | $level
| ) |  |
| private

Get header label of content on specified page and specified level

Parameters

  current | page
  level |

Definition at line 2974 of file class.ezpdftable.php.

Referenced by ezInsertBlockFrame(), and ezInsertFrame().

## ◆ initFrameMargins()

eZPDFTable::initFrameMargins | ( |  | ) |
| private

Initialize footer and header frame margins. Called by constructor

Definition at line 67 of file class.ezpdftable.php.

Referenced by __construct().

## ◆ insertFrontpage()

eZPDFTable::insertFrontpage | ( |  | $params,
|  |  | $text
| ) |  |

Insert front page

Definition at line 2222 of file class.ezpdftable.php.

References $fontSize, fixWhitespace(), and setXOffset().

## ◆ insertTextBox()

eZPDFTable::insertTextBox | ( |  | $params,
|  |  | $text
| ) |  |

Definition at line 2539 of file class.ezpdftable.php.

References ezText(), popStack(), pushStack(), setXOffset(), and setYOffset().

## ◆ insertTextFrame()

eZPDFTable::insertTextFrame | ( |  | $params,
|  |  | $text
| ) |  |

Callback function for adding text frame.

Definition at line 2571 of file class.ezpdftable.php.

References xOffset(), and yOffset().

## ◆ insertTOC()

eZPDFTable::insertTOC | ( |  | $sizeArray = `array( 20, 18, 16, 14, 12 )`,
|  |  | $indentArray = `array( 0, 4, 6, 8, 10 )`,
|  |  | $dots = `true`,
|  |  | $contentText = `''`,
|  |  | $level = `3`
| ) |  |

Create Table Of Contents (TOC)

Parameters

  size | array, element 0 define size of header level 1, etc.
  indent,element | 0 define indent of header level 1, etc.
  dots,if | true, generate dots between name and pagenumber
  content | text
  level,how | many header levels to generate toc form

Definition at line 1433 of file class.ezpdftable.php.

References $fontSize.

Referenced by callTOC().

## ◆ outputDocSpecification()

eZPDFTable::outputDocSpecification | ( |  | ) |

Loop through all document specification settings and print specified text

Returns
  new Y offset

Definition at line 2490 of file class.ezpdftable.php.

Referenced by ezText().

## ◆ popStack()

eZPDFTable::popStack | ( |  | ) |

Pop Specification stack.

Definition at line 2761 of file class.ezpdftable.php.

References setXOffset(), and setYOffset().

Referenced by ezInsertBlockFrame(), and insertTextBox().

## ◆ pushStack()

eZPDFTable::pushStack | ( |  | $continous = `true` | ) |

Add and build Stack for function calls and document specification Stack

Parameters

  countinues | text, set to false to insert independent frames. DEfault true

Definition at line 2729 of file class.ezpdftable.php.

References eZMath\rgbToCMYK2(), xOffset(), and yOffset().

Referenced by __construct(), ezInsertBlockFrame(), and insertTextBox().

## ◆ setXOffset()

eZPDFTable::setXOffset | ( |  | $xOffset | ) |

Definition at line 112 of file class.ezpdftable.php.

Referenced by callSetMargin(), dots(), ezInsertBlockFrame(), ezTable(), insertFrontpage(), insertTextBox(), and popStack().

## ◆ setYOffset()

eZPDFTable::setYOffset | ( |  | $yOffset | ) |

Definition at line 107 of file class.ezpdftable.php.

Referenced by ezInsertBlockFrame(), insertTextBox(), and popStack().

## ◆ xOffset()

eZPDFTable::xOffset | ( |  | ) |

Get the current X offset

Definition at line 96 of file class.ezpdftable.php.

Referenced by callCircle(), callSetMargin(), insertTextFrame(), and pushStack().

## ◆ yOffset()

eZPDFTable::yOffset | ( |  | ) |

Get the current Y offset

Definition at line 88 of file class.ezpdftable.php.

Referenced by callAnchor(), callCircle(), callImage(), callInsertTOC(), callKeyword(), callRectangle(), callSetMargin(), insertTextFrame(), and pushStack().

## Member Data Documentation

## ◆ $DocSpecification

eZPDFTable::$DocSpecification

Definition at line 3036 of file class.ezpdftable.php.

## ◆ $DocSpecStack

eZPDFTable::$DocSpecStack = array()

Definition at line 3039 of file class.ezpdftable.php.

## ◆ $ezFrame

eZPDFTable::$ezFrame

Definition at line 3032 of file class.ezpdftable.php.

## ◆ $fontSize

eZPDFTable::$fontSize

Definition at line 19 of file class.ezpdftable.php.

Referenced by callIndex(), ezTable(), insertFrontpage(), and insertTOC().

## ◆ $FrontpageID

eZPDFTable::$FrontpageID

Definition at line 3030 of file class.ezpdftable.php.

## ◆ $KeywordArray

eZPDFTable::$KeywordArray

Definition at line 3027 of file class.ezpdftable.php.

## ◆ $PageCounter

eZPDFTable::$PageCounter

Definition at line 3028 of file class.ezpdftable.php.

## ◆ $PreStack

eZPDFTable::$PreStack

Definition at line 3035 of file class.ezpdftable.php.

## ◆ $TOC

eZPDFTable::$TOC

Definition at line 3026 of file class.ezpdftable.php.

## ◆ HEADER_LEVEL

const eZPDFTable::HEADER_LEVEL = '#level'

Definition at line 26 of file class.ezpdftable.php.

## ◆ HEADER_LEVEL_INDEX

const eZPDFTable::HEADER_LEVEL_INDEX = '#indexLevel'

Definition at line 27 of file class.ezpdftable.php.

## ◆ NEWLINE

const eZPDFTable::NEWLINE = '<C:callNewLine>'

Definition at line 20 of file class.ezpdftable.php.

## ◆ PAGENUM

const eZPDFTable::PAGENUM = '#page'

Definition at line 24 of file class.ezpdftable.php.

## ◆ SPACE

const eZPDFTable::SPACE = '<C:callSpace>'

Definition at line 21 of file class.ezpdftable.php.

## ◆ TAB

const eZPDFTable::TAB = '<C:callTab>'

Definition at line 22 of file class.ezpdftable.php.

## ◆ TOTAL_PAGENUM

const eZPDFTable::TOTAL_PAGENUM = '#total'

Definition at line 25 of file class.ezpdftable.php.

The documentation for this class was generated from the following file:

- class.ezpdftable.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.